JBoss 5.1.0 GA failed to start on Solaris 10 with JDK 1.6.0_14

Today I installed a zone on a Solaris 10 system.
In this zone I have JDK 1.6.0_14 and JBoss 5.1.0 GA installed.
The first start of the jboss failed with the following message:

java.lang.IllegalArgumentException: Wrong arguments. new for target java.lang.reflect.Constructor expected=[java.net.URI] actual=[java.io.File]

The solution can be found here
After processing the profile.xml  in server/[minimal|default]/conf/bootstrap
JBoss starts.